MCP Tools Reference: cloudbilling.googleapis.com

Tool: list_billing_account_sku_groups

Lists SKU groups visible to a billing account.

The following code sample shows how to use curl to call the list_billing_account_sku_groups MCP tool.

Curl Request
curl --location 'https://cloudbilling.googleapis.com/mcp' \
--header 'content-type: application/json' \
--header 'accept: application/json, text/event-stream' \
--data '{
  "method": "tools/call",
  "params": {
    "name": "list_billing_account_sku_groups",
    "arguments": {
      // provide these details according to the tool's MCP specification
    }
  },
  "jsonrpc": "2.0",
  "id": 1
}'

Input Schema

Request message for ListBillingAccountSkuGroups.

ListBillingAccountSkuGroupsRequest

JSON representation
{
  "parent": string,
  "pageSize": integer,
  "pageToken": string
}
Fields
parent

string

Required. The billing account to list billing account SKU groups from. Format: billingAccounts/{billing_account}

pageSize

integer

Maximum number of billing account SKU groups to return. Results may return fewer than this value. Default value is 50 and maximum value is 5000.

pageToken

string

Page token received from a previous ListBillingAccountSkuGroups call to retrieve the next page of results. If this field is empty, the first page is returned.

Output Schema

Response message for ListBillingAccountSkuGroups.

ListBillingAccountSkuGroupsResponse

JSON representation
{
  "billingAccountSkuGroups": [
    {
      object (BillingAccountSkuGroup)
    }
  ],
  "nextPageToken": string
}
Fields
billingAccountSkuGroups[]

object (BillingAccountSkuGroup)

The returned publicly listed billing account SKU groups.

nextPageToken

string

Token that can be sent as page_token in the subsequent request to retrieve the next page. If this field is empty, there are no subsequent pages.

BillingAccountSkuGroup

JSON representation
{
  "name": string,
  "displayName": string
}
Fields
name

string

Resource name for the BillingAccountSkuGroup. Example: "billingAccounts/012345-567890-ABCDEF/skuGroups/0e6403d1-4694-44d2-a696-7a78b1a69301".

displayName

string

Description of the BillingAccountSkuGroup. Example: "A2 VMs (1 Year CUD)".

Tool Annotations

Destructive Hint: ❌ | Idempotent Hint: ✅ | Read Only Hint: ✅ | Open World Hint: ❌